/*
 * Copyright 2010 Västra Götalandsregionen
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of version 2.1 of the GNU Lesser General Public
 *   License as published by the Free Software Foundation.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 *   Boston, MA 02111-1307  USA
 */

$(document).ready(function() {
  $form = $('form#sign-selection');
  
  //Replace radio buttons and label with a submit link
  $('input:radio', $form).each(function(i, radio) {
    var $radio = $(radio);
    var $label = $('label[for=' + $radio.attr('id') + ']')
    $('<a></a>', {href: '#'}).append($label.text()).click(function() {
      $('<input/>', {type: 'hidden', value: $radio.val(), id: $radio.attr('name'), name: $radio.attr('name')}).appendTo($form);
      $form.submit();
      return false;
    }).insertBefore($radio);
    $label.remove();
    $radio.remove();
  });
  
  $('input:submit', $form).remove();
});
